<?php ob_start();
error_reporting(0);
ini_set(“display_errors”, 0 );
require_once("dompdf/dompdf_config.inc.php");

  $dompdf = new DOMPDF();

function parcelas_em_aberto($idvenda)
{
  include "../conexao.php";
  $query_amigo323 = "SELECT SUM(valor_parcelas) as total  FROM parcelas where venda_idvenda = '$idvenda' AND tipo_venda = '2' AND situacao = 'Em Aberto' and fluxo = '0'";
  $executa_query323 = mysqli_query($db,$query_amigo323);
   
    while ($buscar_amigo323 = mysqli_fetch_assoc($executa_query323)) {//--verifica se são amigos
            
            $total         = $buscar_amigo323['total'];
        }
          
  return $total;
}




function buscar_dados_renegociacao($idvenda){

      include "../conexao.php";

       $query = "SELECT vencimento_primeira, total_parcelas ,entrada, vencimento_restante FROM venda_renegociacao WHERE venda_id = '$idvenda' ORDER BY idvenda_renegociacao DESC LIMIT 1";
       $executa_query = mysqli_query($db, $query);

       while($busca_amigo = mysqli_fetch_assoc($executa_query)){

           $entrada = $busca_amigo['entrada'];
           $vencimento_restante = $busca_amigo['vencimento_restante'];
           $total_parcelas = $busca_amigo['total_parcelas'];
           $vencimento_primeria = $busca_amigo['vencimento_primeira'];

       }

        
       $dados['valor_entrada'] = $entrada;
       $dados['vencimento_restante'] = $vencimento_restante;
       $dados['total_parcelas'] = $total_parcelas;
       $dados['vencimento_primeria'] = $vencimento_primeira;


   return $dados;

}





function dados_empresa($cliente_id){

        include "../conexao.php";
        $query_amigo = "SELECT * FROM cliente where idcliente = $cliente_id";
        $executa_query = mysqli_query ($db, $query_amigo);
        
        while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
           
            

$idcliente          = $buscar_amigo["idcliente"];
$nome_cli           = $buscar_amigo["nome_cli"];
$cpf_cli            = $buscar_amigo["cpf_cli"];
$rg_cli             = $buscar_amigo["rg_cli"];
$estadocivil_cli    = $buscar_amigo["estadocivil_cli"];
$nacionalidade_cli  = $buscar_amigo["nacionalidade_cli"];
$profissao_cli      = $buscar_amigo["profissao_cli"];
$nascimento_cli     = $buscar_amigo["nascimento_cli"];
$email_cli          = $buscar_amigo["email_cli"];
$cidade_cli         = $buscar_amigo["cidade_cli"];
$logradouro_cli     = $buscar_amigo["logradouro_cli"];
$endereco_cli       = $buscar_amigo["endereco_cli"];
$numero_cli         = $buscar_amigo["numero_cli"];
$complemento_cli    = $buscar_amigo["complemento_cli"];
$bairro_cli         = $buscar_amigo["bairro_cli"];
$complemento_cli    = $buscar_amigo["complemento_cli"];
$telefone1_cli      = $buscar_amigo["telefone1_cli"];
$telefone2_cli      = $buscar_amigo["telefone2_cli"];
$cep_cli            = $buscar_amigo["cep_cli"];
$estado_cli         = $buscar_amigo["estado_cli"];

}

  $dados["nome_cli"]          = $nome_cli;
  $dados["cpf_cli"]           = $cpf_cli;
  $dados["rg_cli"]            = $rg_cli;
  $dados["estadocivil_cli"]   = $estadocivil_cli;
  $dados["nacionalidade_cli"] = $nacionalidade_cli;
  $dados["profissao_cli"]     = $profissao_cli;
  $dados["nascimento_cli"]    = $nascimento_cli;
  $dados["email_cli"]         = $email_cli;
  $dados["cidade_cli"]        = $cidade_cli;
  $dados["endereco_cli"]      = $endereco_cli;
  $dados["numero_cli"]        = $numero_cli;
  $dados["bairro_cli"]        = $bairro_cli;
  $dados["telefone1_cli"]     = $telefone1_cli;
  $dados["cep_cli"]           = $cep_cli;
  $dados["estado_cli"]        = $estado_cli;

  return $dados;

}
 
function dados_parcela($parcela_id){

   include "../conexao.php";
        $query_amigo = "SELECT numero_sequencia, data_vencimento_parcela FROM parcelas where idparcelas = $parcela_id";
        $executa_query = mysqli_query ($db, $query_amigo);
        
        while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
        
        $numero_sequencia          = $buscar_amigo["numero_sequencia"];
        $data_vencimento_parcela   = $buscar_amigo["data_vencimento_parcela"];

        }

        $dados["numero_sequencia"]        = $numero_sequencia;
        $dados["data_vencimento_parcela"] = $data_vencimento_parcela;
return $dados;
}






/* Cria a instância */

function extenso($valor=0, $maiusculas=false) {
        // verifica se tem virgula decimal
        if (strpos($valor, ",") > 0) {
                // retira o ponto de milhar, se tiver
                $valor = str_replace(".", "", $valor);

                // troca a virgula decimal por ponto decimal
                $valor = str_replace(",", ".", $valor);
        }
        $singular = array("centavo", "real", "mil", "milhão", "bilhão", "trilhão", "quatrilhão");
        $plural = array("centavos", "reais", "mil", "milhões", "bilhões", "trilhões",
                "quatrilhões");

        $c = array("", "cem", "duzentos", "trezentos", "quatrocentos",
                "quinhentos", "seiscentos", "setecentos", "oitocentos", "novecentos");
        $d = array("", "dez", "vinte", "trinta", "quarenta", "cinquenta",
                "sessenta", "setenta", "oitenta", "noventa");
        $d10 = array("dez", "onze", "doze", "treze", "quatorze", "quinze",
                "dezesseis", "dezesete", "dezoito", "dezenove");
        $u = array("", "um", "dois", "três", "quatro", "cinco", "seis",
                "sete", "oito", "nove");

        $z = 0;

        $valor = number_format($valor, 2, ".", ".");
        $inteiro = explode(".", $valor);
        $cont = count($inteiro);
        for ($i = 0; $i < $cont; $i++)
                for ($ii = strlen($inteiro[$i]); $ii < 3; $ii++)
                $inteiro[$i] = "0" . $inteiro[$i];

        $fim = $cont - ($inteiro[$cont - 1] > 0 ? 1 : 2);
        $rt = '';
        for ($i = 0; $i < $cont; $i++) {
                $valor = $inteiro[$i];
                $rc = (($valor > 100) && ($valor < 200)) ? "cento" : $c[$valor[0]];
                $rd = ($valor[1] < 2) ? "" : $d[$valor[1]];
                $ru = ($valor > 0) ? (($valor[1] == 1) ? $d10[$valor[2]] : $u[$valor[2]]) : "";

                $r = $rc . (($rc && ($rd || $ru)) ? " e " : "") . $rd . (($rd &&
                        $ru) ? " e " : "") . $ru;
                $t = $cont - 1 - $i;
                $r .= $r ? " " . ($valor > 1 ? $plural[$t] : $singular[$t]) : "";
                if ($valor == "000"

                )$z++; elseif ($z > 0)
                $z--;
                if (($t == 1) && ($z > 0) && ($inteiro[0] > 0))
                $r .= ( ($z > 1) ? " de " : "") . $plural[$t];
                if ($r)
                $rt = $rt . ((($i > 0) && ($i <= $fim) &&
                        ($inteiro[0] > 0) && ($z < 1)) ? ( ($i < $fim) ? ", " : " e ") : " ") . $r;
        }

        if (!$maiusculas) {
                return($rt ? $rt : "zero");
        } elseif ($maiusculas == "2") {
                return (strtoupper($rt) ? strtoupper($rt) : "Zero");
        } else {
                return (ucwords($rt) ? ucwords($rt) : "Zero");
        }
        }


////////////////////////////////////////////////////////////



       $idvenda = $_GET["idvenda"];

          $modelo_id = $_GET["modelo_id"];
                      include "../conexao.php";
                $query_amigo = "SELECT * FROM venda
                INNER JOIN cliente ON cliente.idcliente = venda.cliente_idcliente
                INNER JOIN lote ON lote.idlote = venda.lote_idlote
                INNER JOIN produto ON  lote.produto_idproduto = produto.idproduto
                INNER JOIN empreendimento ON  produto.empreendimento_idempreendimento = empreendimento.idempreendimento
                INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro
                
                where venda.idvenda = $idvenda";

                $executa_query = mysqli_query ($db, $query_amigo) or die("agora aqui");
                
                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
           
            


$cliente_id          = $buscar_amigo["cliente_id"];
$idcliente          = $buscar_amigo["idcliente"];
$nome_cli     = $buscar_amigo["nome_cli"];
$cpf_cli      = $buscar_amigo["cpf_cli"];
$rg_cli       = $buscar_amigo["rg_cli"];
$estadocivil_cli  = $buscar_amigo["estadocivil_cli"];
$nacionalidade_cli  = $buscar_amigo["nacionalidade_cli"];
$profissao_cli    = $buscar_amigo["profissao_cli"];
$nascimento_cli   = $buscar_amigo["nascimento_cli"];
$email_cli      = $buscar_amigo["email_cli"];
$cidade_cli     = $buscar_amigo["cidade_cli"];
$logradouro_cli   = $buscar_amigo["logradouro_cli"];
$endereco_cli   = $buscar_amigo["endereco_cli"];
$numero_cli     = $buscar_amigo["numero_cli"];
$complemento_cli  = $buscar_amigo["complemento_cli"];
$bairro_cli     = $buscar_amigo["bairro_cli"];
$complemento_cli  = $buscar_amigo["complemento_cli"];
$telefone1_cli    = $buscar_amigo["telefone1_cli"];
$telefone2_cli    = $buscar_amigo["telefone2_cli"];
$cep_cli        = $buscar_amigo["cep_cli"];
$estado_cli       = $buscar_amigo["estado_cli"];
$renda_total       = $buscar_amigo["renda_total"];
$renda_total =  'R$ ' . number_format($renda_total, 2, ',', '.');  

$lote            = $buscar_amigo["lote"];
$m2              = $buscar_amigo["m2"];
$frente            = $buscar_amigo["frente"];
$fundo             = $buscar_amigo["fundo"];
$esquerda          = $buscar_amigo["esquerda"];
$direita           = $buscar_amigo["direita"];

$representada_por            = $buscar_amigo["representada_por"];
$proposta_compra             = $buscar_amigo["aditamento_contrato"];
$matricula_empreendimento    = $buscar_amigo["matricula_empreendimento"];
$img_lote                    = $buscar_amigo["img_lote"];
$idempreendimento_cadastro   = $buscar_amigo["idempreendimento_cadastro"];
$descricao_empreendimento    = $buscar_amigo["descricao_empreendimento"];
$matricula                   = $buscar_amigo["matricula"];
$cadastro_prefeitura         = $buscar_amigo["cadastro_prefeitura"];
$confrontacao                = $buscar_amigo["confrontacao"];
$quadra                      = $buscar_amigo["quadra"];
$valor                       = $buscar_amigo["valor"];
$data_venda                  = $buscar_amigo["data_venda"];
        
$valor_total_entrada3      = $buscar_amigo["valor_entrada"]; 
if($valor_total_entrada3 == ''){
  $valor_total_entrada3 = 0;
}




$valor_desconto          = $buscar_amigo["valor_desconto"];      
$valor_total_entrada4      = $buscar_amigo["entrada_restante"]; 

$parcela_entrada           = $buscar_amigo["parcela_entrada"];
$plano_pagamento           = $buscar_amigo["plano_pagamento"];
$valor_parcela_financiamento           = $buscar_amigo["valor_parcela_financiamento"];
$valor_parcela_entrada           = $buscar_amigo["valor_parcela_entrada"];

$valor_total_do_contrato = ($parcela_entrada * $valor_parcela_entrada) + ($plano_pagamento * $valor_parcela_financiamento);

$valor_total_do_contrato =  'R$ ' . number_format($valor_total_do_contrato, 2, ',', '.');  
$valor_parcela_financiamento = 'R$ ' . number_format($valor_parcela_financiamento, 2, ',', '.');

$vencimento_primeira     = $buscar_amigo["vencimento_primeira"];
$vencimento_restante     = $buscar_amigo["vencimento_restante"];
$idempreendimento          = $buscar_amigo["idempreendimento"]; 

$valor_total_entrada       = $valor_total_entrada3 + $valor_total_entrada4;


$parcelas_em_aberto = parcelas_em_aberto($idvenda);
$parcelas_em_aberto = 'R$ ' . number_format($parcelas_em_aberto, 2, ',', '.');




if($valor_total_entrada3 != ''){
    $data_vencimento_parcela2  = date('d-m-Y', strtotime("+".($parcela_entrada)." month", strtotime($vencimento_restante)));
}else{
       $data_vencimento_parcela2  = date('d-m-Y', strtotime("+".($parcela_entrada-1)." month", strtotime($vencimento_restante)));

           }

          $dados_empresa = dados_empresa($cliente_id);

          $nome_emp         = $dados_empresa["nome_cli"];
          $cpf_emp          = $dados_empresa["cpf_cli"];
          $rg_emp           = $dados_empresa["rg_cli"];
          $insc_municipal_emp = $dados_empresa["insc_municipal"];
          $endereco_emp     = $dados_empresa["endereco_cli"];
          $bairro_emp       = $dados_empresa["bairro_cli"];
          $cidade_emp       = $dados_empresa["cidade_cli"];
          $estado_emp       = $dados_empresa["estado_cli"];
          $email_emp        = $dados_empresa["email_cli"];

          $dados_representada = dados_empresa($representada_por);

          $nome_rep         = $dados_representada["nome_cli"];
          $cpf_rep          = $dados_representada["cpf_cli"];
          $rg_rep           = $dados_representada["rg_cli"];
          $insc_municipal_rep = $dados_representada["insc_municipal"];
          $endereco_rep     = $dados_representada["endereco_cli"];
          $bairro_rep       = $dados_representada["bairro_cli"];
          $cidade_rep       = $dados_representada["cidade_cli"];
          $estado_rep       = $dados_representada["estado_cli"];
          $email_rep        = $dados_representada["email_cli"];
          $profissao_rep    = $dados_representada["profissao_cli"];
          $nacionalidade_rep= $dados_representada["nacionalidade_cli"];
          $nascimento_rep   = $dados_representada["nascimento_cli"];
          $estadocivil_rep  = $dados_representada["estadocivil_cli"];



}


 $query_amigo_cli = "SELECT * FROM conjuge
                     INNER JOIN cliente ON conjuge.conjuge_idconjuge = cliente.idcliente
                     WHERE cliente_idcliente = $idcliente";


        
                $executa_query_cli = mysqli_query ($db,$query_amigo_cli) or die("Tem mais");
                
                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {//--verifica se são amigos
               
                 
                  $nome_con           = $buscar_amigo["nome_cli"];
                  $cpf_con            = $buscar_amigo["cpf_cli"];
                  $rg_con             = $buscar_amigo["rg_cli"];
                  $nacionalidade_con  = $buscar_amigo["nacionalidade_cli"];
                  $profissao_con      = $buscar_amigo["profissao_cli"];
                  $nascimento_con     = $buscar_amigo["nascimento_cli"];
               
}


 $query_rene = "SELECT * FROM venda_renegociacao
                WHERE venda_id = $idvenda order by idvenda_renegociacao desc limit 1";
        
                $executa_rene = mysqli_query ($db,$query_rene) or die("outro aqui");
                while ($buscar_rene = mysqli_fetch_assoc($executa_rene)) {//--verifica se são amigos
               
                 
                  $idvenda_renegociacao      = $buscar_rene["idvenda_renegociacao"];
                  $rene_total_parcelas       = $buscar_rene["total_parcelas"];
                  $rene_valor_parcela        = $buscar_rene["valor_parcela"];
                  $rene_vencimento_primeira  = $buscar_rene["vencimento_primeira"];
                  $rene_vencimento_restante  = $buscar_rene["vencimento_restante"];
                  $rene_entrada              = $buscar_rene["entrada"];
                  if($rene_entrada == ''){
                    $rene_entrada = 0;
                  }
                  $rene_data_contrato        = $buscar_rene["data_contrato"];

                  $total_debito = ($rene_total_parcelas * $rene_valor_parcela) + $rene_entrada;

                  $total_debito = 'R$ ' . number_format($total_debito, 2, ',', '.')." (".extenso($total_debito).")";  ;

                  if($rene_entrada != ''){

                  $rene_entrada = 'R$ ' . number_format($rene_entrada, 2, ',', '.');

                }else{
                  $rene_entrada = '';
                }

                  $rene_valor_parcela = 'R$ ' . number_format($rene_valor_parcela, 2, ',', '.'); 
                }

          
                    

      

       include "../conexao.php";
       $query_primeira = "SELECT parcela_id FROM venda_ren_par where venda_ren_id = $idvenda_renegociacao order by idvenda_ren_par asc limit 1";
       $executa_primeira = mysqli_query ($db, $query_primeira) or die(" eu de novo");
       while ($buscar_primeira = mysqli_fetch_assoc($executa_primeira)) {
          
          $parcela_id     = $buscar_primeira["parcela_id"];
          $dados_parcela1  = dados_parcela($parcela_id);

          $numero_sequencia_primeira = $dados_parcela1["numero_sequencia"];
          $busc_vencimento_primeira  = $dados_parcela1["data_vencimento_parcela"];
           
        }


        $query_ultima = "SELECT parcela_id FROM venda_ren_par where venda_ren_id = $idvenda_renegociacao order by idvenda_ren_par desc limit 1
       ";
       $executa_ultima = mysqli_query ($db, $query_ultima) or die(" eu de novo");
       while ($buscar_ultima = mysqli_fetch_assoc($executa_ultima)) {
          
          $parcela_id     = $buscar_ultima["parcela_id"];
          $dados_parcela2  = dados_parcela($parcela_id);

          $numero_sequencia_ultima = $dados_parcela2["numero_sequencia"];
          $busc_vencimento_ultima  = $dados_parcela2["data_vencimento_parcela"];

           

        }

    

 function nome_quem_vendeu($idcliente){

  include "../conexao.php";
  $query_amigo_cli = "SELECT * FROM cliente
                      WHERE idcliente = $idcliente";
        
  $executa_query_cli = mysqli_query ($db,$query_amigo_cli);
  while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {
               
      $nome_cli           = $buscar_amigo["nome_cli"];
      $cpf_cli            = $buscar_amigo["cpf_cli"];
      $creci              = $buscar_amigo["creci"];
  }

      $dados["nome_cli"] = $nome_cli;
      $dados["cpf_cli"]  = $cpf_cli;
      $dados["creci"]    = $creci;
  return $dados;
}
                     
function quem_vendeu($id_vendeu){

  include "../conexao.php";
  $query_amigo_cli = "SELECT * FROM cliente
                      WHERE idcliente = $id_vendeu";
        
  $executa_query_cli = mysqli_query ($db,$query_amigo_cli);
  while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {
               
      $imob_id           = $buscar_amigo["imob_id"];
  }
  return $imob_id;
}


$quem_vendeu = quem_vendeu($imobiliaria_idimobiliaria);

if($quem_vendeu == 0){
  $dados_vendeu = nome_quem_vendeu($imobiliaria_idimobiliaria);
  $vendedora  = $dados_vendeu["nome_cli"];
  $cpf_exibe   = $dados_vendeu["cpf_cli"];
  $creci_exibe = $dados_vendeu["creci"];
}else{
  $dados_vendeu = nome_quem_vendeu($quem_vendeu);
  $vendedora  = $dados_vendeu["nome_cli"];
  $cpf_exibe   = $dados_vendeu["cpf_cli"];
  $creci_exibe = $dados_vendeu["creci"];
}


function dados_proponente($idcliente){
  include "../conexao.php";
   $query_amigo_cli = "SELECT * FROM cliente
                       WHERE idcliente = $idcliente";


        
                $executa_query_cli = mysqli_query ($db,$query_amigo_cli);
                
                
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {//--verifica se são amigos
               
                 
                  $nome_cli           = $buscar_amigo["nome_cli"];
                  $cpf_cli            = $buscar_amigo["cpf_cli"];
                  $rg_cli             = $buscar_amigo["rg_cli"];
                  $nacionalidade_cli  = $buscar_amigo["nacionalidade_cli"];
                  $profissao_cli      = $buscar_amigo["profissao_cli"];
                  $nascimento_cli     = $buscar_amigo["nascimento_cli"];

                  $email_cli          = $buscar_amigo["email_cli"];
                  $cidade_cli         = $buscar_amigo["cidade_cli"];
                  $endereco_cli       = $buscar_amigo["endereco_cli"];
                  $numero_cli         = $buscar_amigo["numero_cli"];
                  $complemento_cli    = $buscar_amigo["complemento_cli"];
                  $bairro_cli         = $buscar_amigo["bairro_cli"];
                  $telefone1_cli      = $buscar_amigo["telefone1_cli"];
                  $telefone2_cli      = $buscar_amigo["telefone2_cli"];
                  $estado_cli         = $buscar_amigo["estado_cli"];
               
}
                  $dados["nome_cli"]           = $nome_cli;
                  $dados["cpf_cli"]            = $cpf_cli;
                  $dados["rg_cli"]             = $rg_cli;
                  $dados["nacionalidade_cli"]  = $nacionalidade_cli;
                  $dados["profissao_cli"]      = $profissao_cli;
                  $dados["nascimento_cli"]     = $nascimento_cli;
                  $dados["email_cli"]          = $email_cli;
                  $dados["cidade_cli"]         = $cidade_cli;
                  $dados["endereco_cli"]       = $endereco_cli;
                  $dados["numero_cli"]         = $numero_cli;
                  $dados["complemento_cli"]    = $complemento_cli;
                  $dados["bairro_cli"]         = $bairro_cli;
                  $dados["telefone1_cli"]      = $telefone1_cli;
                  $dados["telefone2_cli"]      = $telefone2_cli;
                  $dados["estado_cli"]         = $estado_cli;

                  return $dados;
}



function consultar_cessao($venda_id, $cliente_id){

  include "../conexao.php";
  $query_amigo_cli = "SELECT * FROM proprietarios_lote
                      WHERE cliente_id = $cliente_id AND venda_id = $venda_id";
        
  $executa_query_cli = mysqli_query ($db,$query_amigo_cli);
  while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {
               
      $cod_cessao           = $buscar_amigo["cod_cessao"];
  }
  return $cod_cessao;
}
function conta_socio($codigo_cessao){

  include "../conexao.php";
  $query_cessao = mysqli_query($db, "SELECT * FROM proprietarios_lote
                      WHERE cod_cessao = $codigo_cessao");
        
    $total = mysqli_num_rows($query_cessao);
  
  return $total;
}

function ids_socio($codigo_cessao){

  include "../conexao.php";
  $query_cessao = mysqli_query($db, "SELECT * FROM proprietarios_lote
                      WHERE cod_cessao = $codigo_cessao");
     $cont = 0;   
   while ($buscar_amigo = mysqli_fetch_assoc($query_cessao)) {
               
      $cliente_id[$cont]           = $buscar_amigo["cliente_id"];

      $cont = $cont + 1;
  }
  return $cliente_id;
  
 
}

function tem_conjuge($cliente_id){
 include "../conexao.php";
   $query_conjuge = mysqli_query($db, "SELECT COUNT(idconjuge) as total, conjuge_idconjuge FROM conjuge
                     INNER JOIN cliente ON conjuge.conjuge_idconjuge = cliente.idcliente
                     WHERE cliente_idcliente = $cliente_id");

  while ($buscar_amigo = mysqli_fetch_assoc($query_conjuge)) {
               
      $conjuge_idconjuge  = $buscar_amigo["conjuge_idconjuge"];
      $total              = $buscar_amigo["total"];
  }
        
        $dados["conjuge_idconjuge"] = $conjuge_idconjuge;
        $dados["total"] = $total;

                

return $dados;
}

 include "../conexao.php";
   $query_contrato = mysqli_query($db, "SELECT conteudo FROM modelo_contrato where idmodelo_contrato = $modelo_id");

  while ($buscar_amigo = mysqli_fetch_assoc($query_contrato)) {
               
      $conteudo  = $buscar_amigo["conteudo"];
  }



  function busca_taxareng($venda){

    include '../conexao.php';

    $query = mysqli_query($db, "SELECT * FROM venda_renegociacao WHERE venda_id = '$venda' ORDER BY idvenda_renegociacao DESC LIMIT 1");

    if(mysqli_num_rows($query) > 0){
      $aux = mysqli_fetch_assoc($query);

      return $aux;

    }else{

      return null;
    }
  }



function trocar_conteudo($conteudo, $parcelas_em_aberto, $total_debito, $rene_entrada, $numero_sequencia_primeira, $numero_sequencia_ultima, $busc_vencimento_primeira, $busc_vencimento_ultima, $rene_total_parcelas, $rene_valor_parcela, $vencimento_primeira, $vencimento_restante,$descricao_empreendimento, $matricula_empreendimento, $quadra, $lote, $m2, $cadastro_prefeitura, $matricula, $confrontacao, $vendedora, $dia_contrato, $nome_mes, $ano_contrato, $total_socio) { 



$dadosrenegociacao = buscar_dados_renegociacao($_GET["idvenda"]);


$vencimento_restante = $dadosrenegociacao['vencimento_restante'];
$entrada_renegociacao = 'R$ ' . number_format($dadosrenegociacao['valor_entrada'], 2, ',','.')."(".extenso($dadosrenegociacao['valor_entrada']).")";
$total_de_parcelas = $dadosrenegociacao['total_parcelas'];
//$vencimento_primeira = $dadosrenegociacao['vencimento_primeira'];

 $dados_reneg = busca_taxareng($_GET["idvenda"]);
     $tarifas = $dados_reneg["tarifas"];
     $tarifas = 'R$ ' . number_format($tarifas, 2, ',', '.')." (".extenso($tarifas).")";
     $data_contrato = $dados_reneg["data_contrato"];

$cont = 1;
foreach ($total_socio as $key) {



  if($cont == 1){
    $num = '';
  }else{
    $num = $cont;
  }

  $a = array('@nome'.$num.'_cli', '@rg'.$num.'_cli', '@cpf'.$num.'_cli', '@nacionalidade'.$num.'_cli', '@profissao'.$num.'_cli', '@nascimento'.$num.'_cli', '@estadocivil'.$num.'_cli', '@renda_total','@cep'.$num.'_cli', '@endereco'.$num.'_cli', '@numero'.$num.'_cli', '@bairro'.$num.'_cli', '@cidade'.$num.'_cli', '@estado'.$num.'_cli', '@telefone1'.$num.'_cli', '@telefone2'.$num.'_cli', '@nome'.$num.'_con', '@rg'.$num.'_con', '@cpf'.$num.'_con', '@nacionalidade'.$num.'_con', '@profissao'.$num.'_con', '@nascimento'.$num.'_con', '@telefone1'.$num.'_con', '@telefone2'.$num.'_con','@descricao_empreendimento', '@matricula_empreendimento', '@quadra', '@lote', '@m2', '@cadastro_prefeitura', '@matricula', '@confrontacao','@total_contrato', '@total_arenegociar','@entrada','@parcela_de', '@parcela_ate', '@total_de_parcelas', '@data_de', '@data_ate', '@valor_da_parcela_renegociacao', '@vencimento_primeira','@vendedora', '@dia_contrato', '@mes_contrato', '@ano_contrato', '@email_cli', '@taxas_reneg', '@data_reneg','@valor_primeira_renegociacao', '@data_financiamento_renegociacao'); 


    
  $dados_proponente = dados_proponente($key);

$nome_cli           = $dados_proponente["nome_cli"];
$cpf_cli            = $dados_proponente["cpf_cli"];
$rg_cli             = $dados_proponente["rg_cli"];
$estadocivil_cli    = $dados_proponente["estadocivil_cli"];
$nacionalidade_cli  = $dados_proponente["nacionalidade_cli"];
$profissao_cli      = $dados_proponente["profissao_cli"];
$nascimento_cli     = $dados_proponente["nascimento_cli"];
$email_cli          = $dados_proponente["email_cli"];
$cidade_cli         = $dados_proponente["cidade_cli"];
$logradouro_cli     = $dados_proponente["logradouro_cli"];
$endereco_cli       = $dados_proponente["endereco_cli"];
$numero_cli         = $dados_proponente["numero_cli"];
$complemento_cli    = $dados_proponente["complemento_cli"];
$bairro_cli         = $dados_proponente["bairro_cli"];
$complemento_cli    = $dados_proponente["complemento_cli"];
$telefone1_cli      = $dados_proponente["telefone1_cli"];
$telefone2_cli      = $dados_proponente["telefone2_cli"];
$cep_cli            = $dados_proponente["cep_cli"];
$estado_cli         = $dados_proponente["estado_cli"];


 $tem_conjuge = tem_conjuge($key);
 $conjuge_id = $tem_conjuge["conjuge_idconjuge"];

  $dados_conjuge = dados_proponente($conjuge_id);

$nome_con           = $dados_conjuge["nome_cli"];
$cpf_con            = $dados_conjuge["cpf_cli"];
$rg_con             = $dados_conjuge["rg_cli"];
$estadocivil_con    = $dados_conjuge["estadocivil_cli"];
$nacionalidade_con  = $dados_conjuge["nacionalidade_cli"];
$profissao_con      = $dados_conjuge["profissao_cli"];
$nascimento_con     = $dados_conjuge["nascimento_cli"];
$email_con          = $dados_conjuge["email_cli"];
$telefone1_con      = $dados_conjuge["telefone1_cli"];
$telefone2_con      = $dados_conjuge["telefone2_cli"];


  $b = array($nome_cli, $rg_cli, $cpf_cli, $nacionalidade_cli, $profissao_cli, $nascimento_cli, $estadocivil_cli, $renda_total,$cep_cli, $endereco_cli, $numero_cli, $bairro_cli, $cidade_cli, $estado_cli, $telefone1_cli, $telefone2_cli, $nome_con, $rg_con, $cpf_con, $nacionalidade_con, $profissao_con, $nascimento_con, $telefone1_con, $telefone2_con,$descricao_empreendimento, $matricula_empreendimento, $quadra, $lote, $m2, $cadastro_prefeitura, $matricula, $confrontacao, $parcelas_em_aberto, $total_debito, $rene_entrada,$numero_sequencia_primeira, $numero_sequencia_ultima, $total_de_parcelas, $busc_vencimento_primeira, $busc_vencimento_ultima, $rene_valor_parcela, $rene_vencimento_primeira, $vendedora, $dia_contrato, $mes_contrato, $ano_contrato, $email_cli, $tarifas, $data_contrato, $entrada_renegociacao, $vencimento_restante); 

  require_once '../bootstrap.php';
  include "../conexao.php";
  $modelo_doc = $_GET['modelo_id'];

  $query = mysqli_fetch_assoc(mysqli_query($db, "SELECT `conteudo` FROM `modelo_contrato` WHERE idmodelo_contrato = $modelo_doc"));
  $query = $query['conteudo'];

  $templateProcessor = new \PhpOffice\PhpWord\TemplateProcessor("../".$query);

  foreach ($a as $chave => $valor) {
    if($b[$chave] == NULL){
      $templateProcessor->setValue($valor, '');
    }else{
      $templateProcessor->setValue($valor, $b[$chave]);
    }
  }
  $templateProcessor->saveAs("../documentos_word/pos_modelo.docx");

  header("Location: ../ver_contrato_empreendimento.php?venda_idvenda=".$_GET['idvenda']."&confirma=1");
  die();

   $conteudo = str_replace($a, $b, $conteudo); 

   $cont = $cont + 1;
}

   return $conteudo;
} 

$codigo_cessao = consultar_cessao($idvenda, $idcliente);
$conta_socio   = conta_socio($codigo_cessao);

$ids_socio   = ids_socio($codigo_cessao);


 $trocar = trocar_conteudo($conteudo, $parcelas_em_aberto, $total_debito, $rene_entrada, $numero_sequencia_primeira, $numero_sequencia_ultima, $busc_vencimento_primeira, $busc_vencimento_ultima, $rene_total_parcelas, $rene_valor_parcela, $vencimento_primeira, $vencimento_restante,$descricao_empreendimento, $matricula_empreendimento, $quadra, $lote, $m2, $cadastro_prefeitura, $matricula, $confrontacao, $vendedora, $dia_contrato, $nome_mes, $ano_contrato, $ids_socio);







//print_r($trocar);


$html ="<p style='text-align: center'>$trocar</p>
";


 $dompdf->load_html($html);
  $dompdf->set_paper("A4");
  $pdf = $dompdf->render();
  $canvas = $dompdf->get_canvas(); 
  $font = Font_Metrics::get_font("helvetica", "bold"); 
  $canvas->page_text(510, 18, "", $font, 6, array(0,0,0)); 
  $canvas->page_text(270, 792, "Pág. {PAGE_NUM}/{PAGE_COUNT}", $font, 6, array(0,0,0)); 
  header("Content-type: application/pdf");     

 
$dompdf->stream(
    "saida.pdf", 
    array(
        "Attachment" => false 
    )
);




?>
